ViennaCL - The Vienna Computing Library: libviennacl/src/blas2_host.cpp File Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Functions
blas2_host.cpp File Reference
`#include <iostream>`
`#include "viennacl.hpp"`
`#include "viennacl_private.hpp"`
`#include "viennacl/scalar.hpp"`
`#include "viennacl/vector.hpp"`
`#include "viennacl/matrix.hpp"`
`#include "viennacl/linalg/direct_solve.hpp"`
`#include "viennacl/linalg/prod.hpp"`

Go to the source code of this file.

## Functions
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLHostSgemv (ViennaCLBackend, ViennaCLOrder order, ViennaCLTranspose transA, ViennaCLInt m, ViennaCLInt n, float alpha, float *A, ViennaCLInt offA_row, ViennaCLInt offA_col, ViennaCLInt incA_row, ViennaCLInt incA_col, ViennaCLInt lda, float *x, ViennaCLInt offx, ViennaCLInt incx, float beta, float *y, ViennaCLInt offy, ViennaCLInt incy)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLHostDgemv (ViennaCLBackend, ViennaCLOrder order, ViennaCLTranspose transA, ViennaCLInt m, ViennaCLInt n, double alpha, double *A, ViennaCLInt offA_row, ViennaCLInt offA_col, ViennaCLInt incA_row, ViennaCLInt incA_col, ViennaCLInt lda, double *x, ViennaCLInt offx, ViennaCLInt incx, double beta, double *y, ViennaCLInt offy, ViennaCLInt incy)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLHostStrsv (ViennaCLBackend, ViennaCLUplo uplo, ViennaCLOrder order, ViennaCLTranspose transA, ViennaCLDiag diag, ViennaCLInt n, float *A, ViennaCLInt offA_row, ViennaCLInt offA_col, ViennaCLInt incA_row, ViennaCLInt incA_col, ViennaCLInt lda, float *x, ViennaCLInt offx, ViennaCLInt incx)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLHostDtrsv (ViennaCLBackend, ViennaCLUplo uplo, ViennaCLOrder order, ViennaCLTranspose transA, ViennaCLDiag diag, ViennaCLInt n, double *A, ViennaCLInt offA_row, ViennaCLInt offA_col, ViennaCLInt incA_row, ViennaCLInt incA_col, ViennaCLInt lda, double *x, ViennaCLInt offx, ViennaCLInt incx)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLHostSger (ViennaCLBackend, ViennaCLOrder order, ViennaCLInt m, ViennaCLInt n, float alpha, float *x, ViennaCLInt offx, ViennaCLInt incx, float *y, ViennaCLInt offy, ViennaCLInt incy, float *A, ViennaCLInt offA_row, ViennaCLInt offA_col, ViennaCLInt incA_row, ViennaCLInt incA_col, ViennaCLInt lda)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLHostDger (ViennaCLBackend, ViennaCLOrder order, ViennaCLInt m, ViennaCLInt n, double alpha, double *x, ViennaCLInt offx, ViennaCLInt incx, double *y, ViennaCLInt offy, ViennaCLInt incy, double *A, ViennaCLInt offA_row, ViennaCLInt offA_col, ViennaCLInt incA_row, ViennaCLInt incA_col, ViennaCLInt lda)

## Function Documentation

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLHostDgemv | ( | ViennaCLBackend | ,
|  | ViennaCLOrder | order,
|  | ViennaCLTranspose | transA,
|  | ViennaCLInt | m,
|  | ViennaCLInt | n,
|  | double | alpha,
|  | double * | A,
|  | ViennaCLInt | offA_row,
|  | ViennaCLInt | offA_col,
|  | ViennaCLInt | incA_row,
|  | ViennaCLInt | incA_col,
|  | ViennaCLInt | lda,
|  | double * | x,
|  | ViennaCLInt | offx,
|  | ViennaCLInt | incx,
|  | double | beta,
|  | double * | y,
|  | ViennaCLInt | offy,
|  | ViennaCLInt | incy
| ) |  |

Definition at line 60 of file blas2_host.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLHostDger | ( | ViennaCLBackend | ,
|  | ViennaCLOrder | order,
|  | ViennaCLInt | m,
|  | ViennaCLInt | n,
|  | double | alpha,
|  | double * | x,
|  | ViennaCLInt | offx,
|  | ViennaCLInt | incx,
|  | double * | y,
|  | ViennaCLInt | offy,
|  | ViennaCLInt | incy,
|  | double * | A,
|  | ViennaCLInt | offA_row,
|  | ViennaCLInt | offA_col,
|  | ViennaCLInt | incA_row,
|  | ViennaCLInt | incA_col,
|  | ViennaCLInt | lda
| ) |  |

Definition at line 198 of file blas2_host.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLHostDtrsv | ( | ViennaCLBackend | ,
|  | ViennaCLUplo | uplo,
|  | ViennaCLOrder | order,
|  | ViennaCLTranspose | transA,
|  | ViennaCLDiag | diag,
|  | ViennaCLInt | n,
|  | double * | A,
|  | ViennaCLInt | offA_row,
|  | ViennaCLInt | offA_col,
|  | ViennaCLInt | incA_row,
|  | ViennaCLInt | incA_col,
|  | ViennaCLInt | lda,
|  | double * | x,
|  | ViennaCLInt | offx,
|  | ViennaCLInt | incx
| ) |  |

Definition at line 130 of file blas2_host.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLHostSgemv | ( | ViennaCLBackend | ,
|  | ViennaCLOrder | order,
|  | ViennaCLTranspose | transA,
|  | ViennaCLInt | m,
|  | ViennaCLInt | n,
|  | float | alpha,
|  | float * | A,
|  | ViennaCLInt | offA_row,
|  | ViennaCLInt | offA_col,
|  | ViennaCLInt | incA_row,
|  | ViennaCLInt | incA_col,
|  | ViennaCLInt | lda,
|  | float * | x,
|  | ViennaCLInt | offx,
|  | ViennaCLInt | incx,
|  | float | beta,
|  | float * | y,
|  | ViennaCLInt | offy,
|  | ViennaCLInt | incy
| ) |  |

Definition at line 36 of file blas2_host.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLHostSger | ( | ViennaCLBackend | ,
|  | ViennaCLOrder | order,
|  | ViennaCLInt | m,
|  | ViennaCLInt | n,
|  | float | alpha,
|  | float * | x,
|  | ViennaCLInt | offx,
|  | ViennaCLInt | incx,
|  | float * | y,
|  | ViennaCLInt | offy,
|  | ViennaCLInt | incy,
|  | float * | A,
|  | ViennaCLInt | offA_row,
|  | ViennaCLInt | offA_col,
|  | ViennaCLInt | incA_row,
|  | ViennaCLInt | incA_col,
|  | ViennaCLInt | lda
| ) |  |

Definition at line 176 of file blas2_host.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLHostStrsv | ( | ViennaCLBackend | ,
|  | ViennaCLUplo | uplo,
|  | ViennaCLOrder | order,
|  | ViennaCLTranspose | transA,
|  | ViennaCLDiag | diag,
|  | ViennaCLInt | n,
|  | float * | A,
|  | ViennaCLInt | offA_row,
|  | ViennaCLInt | offA_col,
|  | ViennaCLInt | incA_row,
|  | ViennaCLInt | incA_col,
|  | ViennaCLInt | lda,
|  | float * | x,
|  | ViennaCLInt | offx,
|  | ViennaCLInt | incx
| ) |  |

Definition at line 88 of file blas2_host.cpp.